Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » BEA WebLogic Server support in WTP 2.0
BEA WebLogic Server support in WTP 2.0 [message #190624] Wed, 28 March 2007 19:59
Eclipse User
Originally posted by: kosta.bea.com

For WTP 2.0, BEA is planning on providing server adapters for versions
8.1, 9.0, 9.1, 9.2 and 10.0 of WLS that are downloadable from a BEA
update site rather than relying on WLS adapters that are currently
bundled with WTP. The adapters that will be provided will be taken from
BEA Workshop code base, thus extending the benefits of tight WTP/WLS
integration already enjoyed by Workshop users to the broader WTP
community. In order to reduce user confusion, the open-source WLS
adapters that are currently bundled with WTP will be removed from the
WTP distribution and discontinued.

This change will be rolled out in stages:

Stage 1: The open-source WLS adapters will be removed from the WTP code
base and replaced with a pointer to a BEA update site. The removed
adapters will then be placed on the BEA update site together with the
source to comply with EPL requirements. This will happen in the next
couple of weeks.

Stage 2: The new WLS adapters will be rolled out to the BEA update site
(thus replacing and discontinuing the open-source versions) to coincide
with WTP 2.0 GA this summer.

How will this impact the user? In a basic WTP installation, the user
will no longer see WLS listed in the list of available servers out of
the box. The user will have to click on the "Don't see your server
listed? Click here" link in the "New Server Runtime" wizard. That will
bring up another wizard that will connect to registered update sites and
will allow the user to download and install WLS adapters into the WTP
installation. After the first install, the user will be able to use
standard Eclipse update-site facilities to search for updates to these
plugins. BEA will also provide a way to download a bundle of plugins
containing the WLS adapters for administrators who need to create
Eclipse distributions for offline users.

Questions? Comments?

Konstantin
Staff Software Engineer
BEA Systems, Inc.
Previous Topic:No editor descriptor for id
Next Topic:JFaceNodeAdapter questions
Goto Forum:
  


Current Time: Sat Oct 25 17:48:16 GMT 2014

Powered by FUDForum. Page generated in 0.01658 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software